explain_kill_or_die(3)

NAME
explain_kill_or_die - send signal to a process and report errors

SYNOPSIS
#include <libexplain/kill.h>

void explain_kill_or_die(pid_t pid, int sig);
int explain_kill_on_error(pid_t pid, int sig);

DESCRIPTION
The explain_kill_or_die function is used to call the kill(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_kill(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_kill_on_error function is used to call the kill(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_kill(3) function, but still returns to the caller.

pid The pid, exactly as to be passed to the kill(2) system call.

sig The sig, exactly as to be passed to the kill(2) system call.

RETURN VALUE
The explain_kill_or_die function only returns on success, see kill(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_kill_on_error function always returns the value return by the wrapped kill(2) system call.

EXAMPLE
The explain_kill_or_die function is intended to be used in a fashion similar to the following example:
    explain_kill_or_die(pid, sig);

SEE ALSO

kill(2)
    send signal to a process

explain_kill(3)
    explain kill(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2009 Peter Miller